ruby-graphviz-2.42.2-2.mga8.x86_64.rpm


Advertisement

Description

ruby-graphviz - Graphviz bindings for ruby

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename ruby-graphviz-2.42.2-2.mga8.x86_64.rpm
Package name ruby-graphviz
Package version 2.42.2
Package release 2.mga8
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.graphviz.org
License EPL
Maintainer -
Download size 33.69 KB
Installed size 82.25 KB
This package provides the Ruby extension for graphviz.

Alternatives

Package Version Architecture Repository
ruby-graphviz-2.42.2-2.mga8.i586.rpm 2.42.2 i586 Mageia Core
ruby-graphviz - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcgraph.so.6()(64bit) -
libgvc.so.6()(64bit) -
libruby.so.2.5()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
libgv_ruby.so()(64bit) -
ruby-graphviz == 2.42.2-2.mga8
ruby-graphviz(x86-64) == 2.42.2-2.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package ruby-graphviz-2.42.2-2.mga8.x86_64.rpm
Source Package graphviz-2.42.2-2.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install ruby-graphviz rpm package:
    # urpmi ruby-graphviz

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/b7/e1b0aaf2fb3e5f28fc530da4b867c3280215c5
/usr/lib64/graphviz/ruby/gv.so
/usr/lib64/graphviz/ruby/libgv_ruby.so
/usr/lib64/ruby/vendor_ruby/gv.so

Changelog

2020-01-27 - tv <tv> 2.42.2-2.mga8
+ Revision: 1483798
- rebuild for ocaml-4.10 + switch to lua 5.3
+ wally <wally>
- replace deprecated %configure2_5x
2020-01-03 - luigiwalser <luigiwalser> 2.42.2-1.mga8
+ Revision: 1475879
- 2.42.2
- remove upstreamed patches
- add patches from fedora
- update source URL
2019-10-15 - ns80 <ns80> 2.40.1-20.mga8
+ Revision: 1453502
- add patch from fedora for CVE-2019-11023 (mga#25563)
2019-10-02 - daviddavid <daviddavid> 2.40.1-19.mga8
+ Revision: 1448738
- port to python 3
- drop python2 support
2019-08-28 - tmb <tmb> 2.40.1-18.mga8
+ Revision: 1434653
- rebuild for perl 5.30
2019-04-05 - wally <wally> 2.40.1-17.mga7
+ Revision: 1385925
- fix docdir require excludes
2019-04-05 - daviddavid <daviddavid> 2.40.1-16.mga7
+ Revision: 1385875
- rebuild for arm
- filter out bogus /usr/bin/lua auto-require
+ wally <wally>
- remove unneeded dot_builtins
2019-04-03 - wally <wally> 2.40.1-15.mga7
+ Revision: 1385608
- drop unneeded linking patch as the issue is fixed in pango
2019-04-03 - wally <wally> 2.40.1-14.mga7
+ Revision: 1385600
- add patches to build with Qt5 and to fix linking
2018-10-23 - tv <tv> 2.40.1-13.mga7
+ Revision: 1324019
- rebuild with ocaml-4.07.1

See Also

Package Description
ruby-grpc-1.16.0-1.mga7.x86_64.rpm GRPC system in Ruby
ruby-grpc-doc-1.16.0-1.mga7.noarch.rpm Documentation for ruby-grpc
ruby-gtk2-3.3.6-2.mga8.x86_64.rpm Ruby/GTK2 is a Ruby binding of GTK+-2.x
ruby-gtk2-devel-3.3.6-2.mga8.x86_64.rpm Development files for ruby-gtk2
ruby-gtk2-doc-3.3.6-1.mga8.noarch.rpm Documentation for ruby-gtk2
ruby-gtk2-doc-3.3.6-2.mga8.noarch.rpm Documentation for ruby-gtk2
ruby-haml-5.0.4-3.mga8.noarch.rpm An elegant, structured XHTML/XML template engine
ruby-haml-doc-5.0.4-2.mga7.noarch.rpm Documentation for ruby-haml
ruby-haml-doc-5.0.4-3.mga8.noarch.rpm Documentation for ruby-haml
ruby-hashdiff-0.3.8-1.mga7.noarch.rpm HashDiff is a diff lib to compute the smallest difference between two hashes
ruby-hashdiff-0.3.8-2.mga8.noarch.rpm HashDiff is a diff lib to compute the smallest difference between two hashes
ruby-hashdiff-doc-0.3.8-1.mga7.noarch.rpm Documentation for ruby-hashdiff
ruby-hashdiff-doc-0.3.8-2.mga8.noarch.rpm Documentation for ruby-hashdiff
ruby-hashery-2.1.2-3.mga8.noarch.rpm Facets-bread collection of Hash-like classes
ruby-hashery-doc-2.1.2-2.mga7.noarch.rpm Documentation for ruby-hashery
Advertisement
Advertisement